import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../../../services/cart.service';
import * as i0 from "@angular/core";
export declare class OrderReviewListComponent implements OnInit {
    private cartService;
    private cdr;
    showWaitCursor: BehaviorSubject<boolean>;
    showDetails: any;
    hasBundle: boolean;
    cartDetails: any;
    updateCartEntry: EventEmitter<any>;
    isCardData: any;
    environment: any;
    env: any;
    imageModalSrc: any;
    productInfos: any;
    isProductInfoAvilable: boolean;
    constructor(cartService: CartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    showHide(ind: number): void;
    getImageDetails(cartDetails: any, thumbnail?: any): any;
    viewImage(event: any, cartDetails: any): void;
    getPdfLink(cartDetails: any): void;
    hasImage(cartDetails: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderReviewListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrderReviewListComponent, "app-order-review-list", never, { "cartDetails": "cartDetails"; "isCardData": "isCardData"; }, { "updateCartEntry": "updateCartEntry"; }, never, never>;
}
